Skip to main content

Payments with Customer Payment Instruments


To process a payment using a payment instrument token, include the customer token ID as the value in the paymentInformation.paymentInstrument.id field. You can make payments using non-default payment instruments associated with the customer.

Authorize a Payment with a Non-Default Payment Instrument

Authorize a payment using a non-default payment instrument.

Endpoint

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "12345678"  },  "paymentInformation": {    "paymentInstrument": {      "id": "0F3BB131F8143A58E063A2598D0AB921"    }  },  "orderInformation": {    "amountDetails": {      "currency": "USD",      "totalAmount": "10.00"    }  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/7055952648586653304951/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7055952648586653304951"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/7055952648586653304951/captures"    }  },  "clientReferenceInformation": {    "code": "12345678"  },  "id": "7055952648586653304951",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "10.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "instrumentIdentifier": {      "id": "7010000000016241111",      "state": "ACTIVE"    },    "paymentInstrument": {      "id": "0F3BB131F8143A58E063A2598D0AB921"    },    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "terminalId": "111111"  },  "processorInformation": {    "approvalCode": "888888",    "networkTransactionId": "123456789619999",    "transactionId": "123456789619999",    "responseCode": "100",    "avs": {      "code": "X",      "codeRaw": "I1"    }  },  "reconciliationId": "67468244CRIL0U0Y",  "status": "AUTHORIZED",  "submitTimeUtc": "2024-01-18T16:27:45Z"}
FieldTypeDescription
paymentInformation.paymentInstrument.idstringThe customer token ID of the non-default payment instrument.
orderInformation.amountDetails.totalAmountstringThe total amount for the order.
orderInformation.amountDetails.currencystringThe currency for the order. Use the three-character ISO Standard Currency Code.

Make a Credit with a Non-Default Payment Instrument

Process a credit (refund) using a non-default payment instrument.

Endpoint

POST /pts/v2/credits

POST /pts/v2/credits

Example

{  "clientReferenceInformation": {    "code": "12345678"  },  "paymentInformation": {    "paymentInstrument": {      "id": "0F3BB131F8143A58E063A2598D0AB921"    }  },  "orderInformation": {    "amountDetails": {      "currency": "USD",      "totalAmount": "10.00"    }  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/credits/7055968581386446104953/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/credits/7055968581386446104953"    }  },  "clientReferenceInformation": {    "code": "12345678"  },  "creditAmountDetails": {    "currency": "USD",    "creditAmount": "10.00"  },  "id": "7055968581386446104953",  "orderInformation": {    "amountDetails": {      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "instrumentIdentifier": {      "id": "7010000000016241111",      "state": "ACTIVE"    },    "paymentInstrument": {      "id": "0F3BB131F8143A58E063A2598D0AB921"    },    "card": {      "type": "001"    }  },  "processorInformation": {    "approvalCode": "888888",    "responseCode": "100"  },  "reconciliationId": "67445196PRILCQCN",  "status": "PENDING",  "submitTimeUtc": "2024-01-18T16:54:18Z"}
FieldTypeDescription
paymentInformation.paymentInstrument.idstringThe customer token ID of the non-default payment instrument.
orderInformation.amountDetails.totalAmountstringThe total amount for the order.
orderInformation.amountDetails.currencystringThe currency for the order. Use the three-character ISO Standard Currency Code.

Last published: September 29, 2026